--******************************************************************************************************************************
--* Licensed Materials - Property of IBM                                                                                       *
--* (c) Copyright IBM Corp. 2008, 2009 All Rights Reserved.                                                                    *
--*                                                                                                                            *
--*US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp*
--******************************************************************************************************************************

SET CURRENT SCHEMA $STAR_SCHEMA;

CREATE TABLE CAL_MESSAGES (
	CAL_ERROR_NO INTEGER,
	CAL_MESSAGE_CODE CHAR(12),
	CAL_ERR_MESSAGE VARCHAR (255)
)IN VSTR_32K INDEX IN VSTR_IDX;

INSERT INTO CAL_MESSAGES (CAL_ERROR_NO,CAL_MESSAGE_CODE,CAL_ERR_MESSAGE) VALUES (4586,'CRREW4586E','CRREW4586E: Bd - niepoprawny typ kalendarza. Podaj 1 (gregoriaski) lub 2 (ISO)');
INSERT INTO CAL_MESSAGES (CAL_ERROR_NO,CAL_MESSAGE_CODE,CAL_ERR_MESSAGE) VALUES (4587,'CRREW4587E','CRREW4587E: Bd - warto START_YEAR jest rwna NULL lub jest wiksza ni END_YEAR');
INSERT INTO CAL_MESSAGES (CAL_ERROR_NO,CAL_MESSAGE_CODE,CAL_ERR_MESSAGE) VALUES (4588,'CRREW4588E','CRREW4588E: Bd - warto END_YEAR jest rwna NULL lub jest mniejsza ni START_YEAR');
INSERT INTO CAL_MESSAGES (CAL_ERROR_NO,CAL_MESSAGE_CODE,CAL_ERR_MESSAGE) VALUES (4589,'CRREW4589E','CRREW4589E: Bd - nie podano schematu hurtowni danych.  Podaj poprawny schemat');
INSERT INTO CAL_MESSAGES (CAL_ERROR_NO,CAL_MESSAGE_CODE,CAL_ERR_MESSAGE) VALUES (4590,'CRREW4590E','CRREW4590E: Bd - wymiar daty jest uszkodzony, najmniejsza warto daty jest rna od 1 stycznia');
INSERT INTO CAL_MESSAGES (CAL_ERROR_NO,CAL_MESSAGE_CODE,CAL_ERR_MESSAGE) VALUES (4591,'CRREW4591E','CRREW4591E: Bd - wymiar daty jest uszkodzony, najwiksza warto daty jest rna od 31 grudnia');
INSERT INTO CAL_MESSAGES (CAL_ERROR_NO,CAL_MESSAGE_CODE,CAL_ERR_MESSAGE) VALUES (4592,'CRREW4592E','CRREW4592E: Bd - kalendarz nieobsugiwany przez wymiar daty');
INSERT INTO CAL_MESSAGES (CAL_ERROR_NO,CAL_MESSAGE_CODE,CAL_ERR_MESSAGE) VALUES (4593,'CRREW4593E','CRREW4593E: Bd - argument wymiaru daty END_YEAR jest mniejszy ni MIN(YEAR) w dacie D_DATE');
INSERT INTO CAL_MESSAGES (CAL_ERROR_NO,CAL_MESSAGE_CODE,CAL_ERR_MESSAGE) VALUES (4594,'CRREW4594E','CRREW4594E: Bd - argument wymiaru daty START_YEAR jest wikszy ni MAX(YEAR) w dacie D_DATE');
INSERT INTO CAL_MESSAGES (CAL_ERROR_NO,CAL_MESSAGE_CODE,CAL_ERR_MESSAGE) VALUES (4505,'CRREW4505E','CRREW4505E: Bd - schemat NF_SCHEMA nie moe mie wartoci NULL');
INSERT INTO CAL_MESSAGES (CAL_ERROR_NO,CAL_MESSAGE_CODE,CAL_ERR_MESSAGE) VALUES (4506,'CRREW4506E','CRREW4506E: Bd - schemat STAR_SCHEMA  nie moe mie wartoci NULL');
INSERT INTO CAL_MESSAGES (CAL_ERROR_NO,CAL_MESSAGE_CODE,CAL_ERR_MESSAGE) VALUES (4507,'CRREW4507E','CRREW4507E: Bd - nazwa uytkownika REP_USER nie moe mie wartoci NULL');
INSERT INTO CAL_MESSAGES (CAL_ERROR_NO,CAL_MESSAGE_CODE,CAL_ERR_MESSAGE) VALUES (4598,'CRREW4598E','CRREW4598E: Bd - nie mona okreli wersji programu Insight');
INSERT INTO CAL_MESSAGES (CAL_ERROR_NO,CAL_MESSAGE_CODE,CAL_ERR_MESSAGE) VALUES (4599,'CRREW4599E','CRREW4599E: Bd - nie mona okreli docelowej wersji programu Insight');
INSERT INTO CAL_MESSAGES (CAL_ERROR_NO,CAL_MESSAGE_CODE,CAL_ERR_MESSAGE) VALUES (4600,'CRREW4600E','CRREW4600E: Bd - bieca wersja jest wysza od docelowej');
INSERT INTO CAL_MESSAGES (CAL_ERROR_NO,CAL_MESSAGE_CODE,CAL_ERR_MESSAGE) VALUES (4601,'CRREW4601E','CRREW4601E: Bd podczas wykonywania instrukcji');
INSERT INTO CAL_MESSAGES (CAL_ERROR_NO,CAL_MESSAGE_CODE,CAL_ERR_MESSAGE) VALUES (4602,'CRREW4602E','CRREW4602E: Bd - istniej instrukcje zalene, ktrych wykonanie nie powiodo si');

COMMIT;
